The UI Helpers package provides small helper widgets to minimize the amount of code required for repetitive tasks.

## Features

The following widgets are provided:
* ViewSwitcher - Allows for switching between two views based on a boolean flag.
* ConditionalView - Conditionally shows a view based on a boolean flag.
* LoadingView - Shows a progress view or the actual view based on a boolean flag.

## Getting started

Import the package into your application

` flutter pub add laneonesoftware_ui_helpers `

## Usage

```
  Widget build(BuildContext context) {
    var showHelloView = true;
    return ViewSwitcher(
        showHelloView,
        Text("Hello"),
        Text("World"),
    );
  }
```
